## curl 7.21.0

=== debian/changelog ===
curl (7.21.0-1) unstable; urgency=low

  * New upstream.

 -- Ramakrishnan Muthukrishnan <rkrishnan@debian.org>  Wed, 16 Jun 2010 19:25:37 +0530

curl (7.20.1-2) unstable; urgency=low

  * debian/rules: Removed the custom LDFLAGS variable. This is not
    required as we are no longer using the libtool patch.
    (closes: #578774)

 -- Ramakrishnan Muthukrishnan <rkrishnan@debian.org>  Wed, 28 Apr 2010 18:40:27 +0530

curl (7.20.1-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/missing-double-quote: No longer needed as it has been
    fixed by the upstream.
  * debian/patches/no_com_err: Reworked the patches for the new release.
  * debian/patches/versioned: fix for build failure of 'make test'.
    (closes: #576237)
  * debian/rules: removed --enable-ldaps option from the configure as LDAP
    SSL (Novell extensions to openldap) is not available as Debian packages.
  * lib/http.c: chunked-encoding with Content-Length header problem has
    been fixed in the upstream. (closes: #572276)
  
 -- Ramakrishnan Muthukrishnan <rkrishnan@debian.org>  Mon, 19 Apr 2010 09:21:35 +0530

curl (7.20.0-3) unstable; urgency=low

  * debian/control: Vcs* tags added.
  * docs/libcurl/libcurl.m4: added the missing double quote (closes: #576518).

 -- Ramakrishnan Muthukrishnan <rkrishnan@debian.org>  Mon, 05 Apr 2010 18:56:40 +0530

curl (7.20.0-2) unstable; urgency=low

  * New Maintainer (closes: #574137).
  * Bug #533669 (curl segmentation fault in addbyter()) is fixed
    from release 7.19.7 onwards (closes: #533669).
  * Bug #510559 (curl sends whitespace unencoded in the url) can't
    be reproduced in the 7.20.0 release (closes: #510559).

 -- Ramakrishnan Muthukrishnan <rkrishnan@debian.org>  Thu, 18 Mar 2010 08:55:19 +0530

curl (7.20.0-1) unstable; urgency=low

  * Package is orphaned.
  * New upstream release.
  * Switch to dpkg-source 3.0 (quilt) format (closes: #538547).
  * Fixed build error with binutils-gold (closes: #554296). 

 -- Domenico Andreoli <cavok@debian.org>  Tue, 09 Feb 2010 13:06:39 +0100

curl (7.19.7-1) unstable; urgency=low

  * New upstream release:
    - curl_getdate(3) now correctly manages single letter military
      timezones as specified in RFC 822 (closes: #551461).
  * build depends on generic libdb-dev (closes: #548476).
  * build depends on libssh2-1-dev (>= 1.2) to enable new curl options.

 -- Domenico Andreoli <cavok@debian.org>  Thu, 05 Nov 2009 10:11:57 +0100

curl (7.19.5-1) unstable; urgency=low

  * New upstream release
  * Fix "libcurl3-gnutls has memory corruption" by upgrading to new upstream
    release, which fixes this bug (Closes: #530131)
  * update standards version to 3.8.1
  * adjust overrides from libdevel to debug for -dbg package
  * adjust doc-base section

 -- Andreas Schuldei <andreas@debian.org>  Sun, 24 May 2009 21:12:19 +0200

curl (7.19.4-1) unstable; urgency=low

  * New upstream release
  * Fix "newer bdb version" <explain what you changed and why> 
    (Closes: #517277)
  * resolve libtool version confusion, thanks to 
    Stefanos Harhalakis <v13@v13.gr>
  * add new dependency on libgcrypt11-dev due to newly arising binary symbols

 -- Andreas Schuldei <andreas@debian.org>  Thu, 02 Apr 2009 23:35:45 +0200

curl (7.18.2-8lenny1) stable-security; urgency=high

  * Applied upstream patch to fix arbitrary file access (CVE-2009-0037).

 -- Domenico Andreoli <cavok@debian.org>  Tue, 03 Mar 2009 10:29:03 +0100

curl (7.18.2-8) unstable; urgency=low

  * Fix "Please add support for ldap/ldaps protocols" 
    by changing the linker option for liblber (Closes: #506096)

 -- Andreas Schuldei <andreas@debian.org>  Fri, 26 Dec 2008 23:48:19 +0100

curl (7.18.2-7) unstable; urgency=low

  * disable c-ares support again, no fix yet, just get stuff working again.

 -- Andreas Schuldei <andreas@debian.org>  Tue, 15 Jul 2008 01:17:29 +0200

curl (7.18.2-6) unstable; urgency=low

  * enable c-ares support, with ipv6 support

 -- Andreas Schuldei <andreas@debian.org>  Fri, 11 Jul 2008 02:05:16 +0200

curl (7.18.2-5) unstable; urgency=low

  * /usr/lib/pkgconfig/libcurl.pc: "pkg-config --libs libcurl" returns
    "-Wl, -z, defs" (Closes: #488701), closing same bug again for 
    curl-config --libs  command

 -- Andreas Schuldei <andreas@jesaja.schuldei.org>  Wed, 02 Jul 2008 11:24:40 +0200

curl (7.18.2-4) unstable; urgency=medium

  * /usr/lib/pkgconfig/libcurl.pc: "pkg-config --libs libcurl" returns
    "-Wl, -z, defs" (Closes: #488701)

 -- Andreas Schuldei <andreas@debian.org>  Mon, 30 Jun 2008 23:59:55 +0200

curl (7.18.2-3) unstable; urgency=low

  * removing c-ares from the dependencies

 -- Andreas Schuldei <andreas@debian.org>  Sat, 28 Jun 2008 03:34:50 +0200

curl (7.18.2-2) unstable; urgency=medium

  * blanking the "dependency_libs" line in lib*.la file to keep all the listed libs
    from being linked to other libs linking to curl.
  * fixing miss-linking problem by specifying liblber as a configure argument
  * disabling c-ares again for stability reasons
  * correcting libgssapi linking in configure.ac (patch no_com_err)	

 -- Andreas Schuldei <andreas@debian.org>  Fri, 27 Jun 2008 03:40:18 +0200

curl (7.18.2-1e1) experimental; urgency=low

  * testing c-ares-ipv6 integration patch

 -- Andreas Schuldei <andreas@debian.org>  Mon, 23 Jun 2008 08:48:31 +0200

curl (7.18.2-1) unstable; urgency=low

  * New upstream release:
    - removed patches/ftp-response, it is already in the upstream release
    - fixed issues with kerberos ftp (closes: #478864). 
  * Disable c-ares support, it is still not ready for Debian's wide
    user base (closes: #478864, #481189).
  * Standards-Version bumped to 3.8.0:
    - added support for parallel builds to debian/rules
  * Removal of $QUILT_PC's override makes this package ready for new
    source format 3.0 (quilt) (closes: #485023).
  * Configure build with --with-ca-path but only for OpenSSL flavour,
    GnuTLS supports only --with-ca-bundle (closes: #482814, #483999).

