=== debian/watch ===
version=2
http://curl.haxx.se/download/curl-([\d\.]*).tar.gz
