## curl 7.21.3

=== debian/changelog ===
curl (7.21.3-1ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes: (LP: #707756)
    - debian/control:
      + Build-Depends: Replace libssh2-1-dev with openssh-server.
        Drop stunnel since it's in universe, as well.
      + Drop libssh2-1-dev from libcurl4-openssl-dev's Depends.
      Above changes are necessary to be independent from the universe.

 -- Artur Rona <ari-tczew@ubuntu.com>  Wed, 26 Jan 2011 02:50:18 +0100

curl (7.21.3-1) unstable; urgency=low

  * New upstream release.
  * debian/*.manpages: adding all manpages for the curl library.
    (closes: #605651)
  * gnutls->handshake: improved timeout handling. See #594150 for details.

 -- Ramakrishnan Muthukrishnan <rkrishnan@debian.org>  Wed, 15 Dec 2010 23:39:26 +0530

curl (7.21.2-4ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes: (LP: #693635, #637416)
    - debian/control:
      + Build-Depends: Replace libssh2-1-dev with openssh-server.
        Drop stunnel since it's in universe, as well.
      + Drop libssh2-1-dev from libcurl4-openssl-dev's Depends.
      Above changes are necessary to be independent from the universe.

 -- Artur Rona <ari-tczew@ubuntu.com>  Thu, 23 Dec 2010 01:42:41 +0100

curl (7.21.2-4) unstable; urgency=low

  * support for curl library built against nss.
    (closes: #606244)
  * honour DEB_BUILD_OPTIONS=nocheck option.
    (closes: #606059)

 -- Ramakrishnan Muthukrishnan <rkrishnan@debian.org>  Thu, 09 Dec 2010 20:11:37 +0530

curl (7.21.2-3) unstable; urgency=low

  * debian/rules: reverting changes related to c-ares inclusion.
  * debian/control: removing libc-ares-dev for now.
    (closes: #605558)

 -- Ramakrishnan Muthukrishnan <rkrishnan@debian.org>  Thu, 02 Dec 2010 10:56:36 +0530

curl (7.21.2-2) unstable; urgency=low

  * debian/control: add libc-ares-dev as build dependency.
  * debian/rules: invoke configure with --enable-ares.
    (closes: #570436)
  * debian/copyright: add copyright notice of `lib/security.c'
    to the copyright file. (closes: #603712)

 -- Ramakrishnan Muthukrishnan <rkrishnan@debian.org>  Tue, 30 Nov 2010 17:35:29 +0530

curl (7.21.2-1ubuntu1) natty; urgency=low

  * Merge with Debian unstable, remaining Ubuntu changes: (LP: #682286)
  * debian/control:
    - (Keep build deps in main)
    - Drop build dependencies: stunnel, libssh2-1-dev
    - Add build-dependency on openssh-server
    - Drop libssh2-1-dev from libcurl4-openssl-dev's Depends.

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 29 Nov 2010 17:26:37 +1100

curl (7.21.2-1) unstable; urgency=low

  * New upstream release.

 -- Ramakrishnan Muthukrishnan <rkrishnan@debian.org>  Mon, 18 Oct 2010 11:13:17 +0530

curl (7.21.1-1ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Keep build deps in main:
      - Drop build dependencies: stunnel, libssh2-1-dev
      - Add build-dependency on openssh-server
      - Drop libssh2-1-dev from libcurl4-openssl-dev's Depends.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2010 16:53:40 +0200

curl (7.21.1-1) unstable; urgency=low

  * New upstream release.

 -- Ramakrishnan Muthukrishnan <rkrishnan@debian.org>  Thu, 12 Aug 2010 08:20:48 +0530

curl (7.21.0-1ubuntu1) maverick; urgency=low

  * Merge from debian unstable.  Remaining changes: LP: #596334
    - Keep build deps in main:
      - Drop build dependencies: stunnel, libssh2-1-dev
      - Add build-dependency on openssh-server
      - Drop libssh2-1-dev from libcurl4-openssl-dev's Depends.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sun, 20 Jun 2010 13:56:28 +0530

curl (7.19.7-1ubuntu1) lucid; urgency=low

  * Merge with Debian testing.  Remaining changes:
    - Keep build deps in main:
      - Drop build dependencies: stunnel, libdb4.6-dev, libssh2-1-dev
      - Add build-dependency on openssh-server
      - Drop libssh2-1-dev from libcurl4-openssl-dev's Depends.

 -- Kees Cook <kees@ubuntu.com>  Fri, 11 Dec 2009 19:33:21 -0800

curl (7.19.5-1ubuntu2) karmic; urgency=low

  * SECURITY UPDATE: SSL cert hostname checking bypass with NULL byte.
    - add debian/patches/cert-null-cn: backported upstream changes.
    - CVE-2009-2417

 -- Kees Cook <kees@ubuntu.com>  Thu, 13 Aug 2009 14:32:50 -0700

curl (7.19.5-1ubuntu1) karmic; urgency=low

  * Merge from Debian unstable (LP: #380281), remaining changes:
    - Drop build dependencies: stunnel, libdb4.6-dev, libssh2-1-dev
    - Add build-dependency on openssh-server
    - Drop libssh2-1-dev from libcurl4-openssl-dev's Depends.
    - Call automake-1.9 with --add-missing --copy --force
  * Fixes LP: #379477

 -- Bhavani Shankar <right2bhavi@gmail.com>  Tue, 26 May 2009 18:58:51 +0530

curl (7.19.4-1ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes:
    - Drop build dependencies: stunnel, libdb4.6-dev, libssh2-1-dev
    - Add build-dependency on openssh-server
    - Drop libssh2-1-dev from libcurl4-openssl-dev's Depends.
    - Call automake-1.9 with --add-missing --copy --force
  * drop debian/patches/security_CVE-2009-0037.patch 
    - this patch is part of 7.19.4
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 29 Apr 2009 11:10:29 +0200

curl (7.18.2-8ubuntu4) jaunty; urgency=low

  * SECURITY UPDATE: add fix for CVE-2009-0037 back in
    - debian/patches/security_CVE-2009-0037.patch: updated patch to add missing
      section to lib/easy.c
    - CVE-2009-0037

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 03 Mar 2009 19:58:20 -0500

curl (7.18.2-8ubuntu3) jaunty; urgency=low

  * Revert last patch due to https regression (LP: #337501)

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 03 Mar 2009 17:57:35 -0600

curl (7.18.2-8ubuntu2) jaunty; urgency=low

  * SECURITY UPDATE: Local file exposure via redirect
    - debian/patches/security_CVE-2009-0037.patch: add logic to lib/url.c and
      lib/urldata.h to limit what protocols curl will automatically follow via a

