## curl 7.21.6

=== debian/changelog ===
curl (7.21.6-3ubuntu3) oneiric; urgency=low

  [ James Page, Colin Watson ]
  * Add new libcurl3-udeb package, stripped down for use during installation
    (LP: #831496).

 -- James Page <james.page@ubuntu.com>  Wed, 14 Sep 2011 17:31:37 +0100

curl (7.21.6-3ubuntu2) oneiric; urgency=low

  * debian/patches/timeout_bug_736216: cherry pick upstream
    git revision d4e000906ac4ef243258a5c9a819a7cde247d16a to fix
    handshake timeout bug (LP: #736216). Thanks to Sidnei da Silva
    and Michael Vogt

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 13 Jul 2011 12:08:54 -0500

curl (7.21.6-3ubuntu1) oneiric; urgency=low

  * Restore Ubuntu changes accidentally dropped in previous sync:
    - Drop dependencies not in main:
      + Build-Depends: Replace libssh2-1-dev with openssh-server.
        Drop stunnel since it's in universe, as well.
      + Drop libssh2-1-dev from libcurl4-openssl-dev's Depends.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 30 Jun 2011 23:40:23 +0000

curl (7.21.6-3) unstable; urgency=low

  * Apply the Multiarch patch from Steve Langasek.
    (closes: #631946)

 -- Ramakrishnan Muthukrishnan <rkrishnan@debian.org>  Wed, 29 Jun 2011 08:26:56 +0530

curl (7.21.6-2) unstable; urgency=high

  * Fix for the inappropriate GSSAPI delegation vulnerability (CVE-2011-2192).
    (closes: #631615)

 -- Ramakrishnan Muthukrishnan <rkrishnan@debian.org>  Sat, 25 Jun 2011 23:37:04 +0530

curl (7.21.6-1) unstable; urgency=low

  * New upstream release to fix a HTTPS over a HTTP proxy bug on 7.21.5.

 -- Ramakrishnan Muthukrishnan <rkrishnan@debian.org>  Sat, 23 Apr 2011 07:12:57 +0530

curl (7.21.5-1) unstable; urgency=low

  * New Upstream version. (closes: #623459)
  * debian/patches/{sslv2_disable, error_code}: removed as these
    patches were backported earlier from new upstream and this
    release incorporates them.

 -- Ramakrishnan Muthukrishnan <rkrishnan@debian.org>  Fri, 22 Apr 2011 13:14:41 +0530

curl (7.21.4-2) unstable; urgency=low

  * debian/patches/{sslv2-disable, series}: Apply the
    upstream commit c66b0b32fba175d5f096c944d8ec8f9f06299f4a.
    (closes: #622016)
  * debian/{rules, control}: enable rtmp. (closes: #622328)
  * debian/control: removing hurd from dependencies. Hurd is
    an 'essential' package.

 -- Ramakrishnan Muthukrishnan <rkrishnan@debian.org>  Wed, 13 Apr 2011 16:15:27 -0700

curl (7.21.4-1) unstable; urgency=low

  * New upstream release.
  * debian/control: downgraded the version number of libdb-dev required
    to 4.6 from 4.7, based on the inputs from Erik Schanze <schanzi_@gmx.de>. 

 -- Ramakrishnan Muthukrishnan <rkrishnan@debian.org>  Mon, 28 Feb 2011 19:35:36 +0530
