=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Ramakrishnan Muthukrishnan <rkrishnan@debian.org>
-Build-Depends: debhelper (>> 5), autoconf, libtool, automake1.9, binutils (>= 2.14.90.0.7), libssl-dev, libgnutls-dev, libnss3-dev, zlib1g-dev, libkrb5-dev [!hurd-i386], libidn11-dev, groff-base, libdb-dev (>= 4.7), libldap2-dev, quilt, openssh-server, libgcrypt11-dev
+Build-Depends: debhelper (>> 8.1.3), autoconf, libtool, automake1.9, binutils (>= 2.14.90.0.7), libssl-dev, libgnutls-dev, libnss3-dev, zlib1g-dev, libkrb5-dev, libidn11-dev, groff-base, libdb-dev (>= 4.6), libldap2-dev, quilt, libgcrypt11-dev, librtmp-dev
 Build-Conflicts: autoconf2.13, automake1.4
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2.0
 Vcs-Browser: http://git.debian.org/?p=collab-maint/curl.git
 Vcs-Git: git://git.debian.org/collab-maint/curl.git
 Homepage: http://curl.haxx.se
@@ -30,6 +30,8 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, ca-certificates
 Replaces: libcurl2 (<< 1:7.11.2-2), libcurl4
 Conflicts: libcurl4
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Description: Multi-protocol file transfer library (OpenSSL)
  libcurl is designed to be a solid, usable, reliable and portable
  multi-protocol file transfer library.
@@ -38,12 +40,28 @@
  .
  This is the shared version of libcurl.
 
+Package: libcurl3-udeb
+Section: debian-installer
+XC-Package-Type: udeb
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Multi-protocol file transfer library (OpenSSL)
+ libcurl is designed to be a solid, usable, reliable and portable
+ multi-protocol file transfer library.
+ .
+ SSL support is provided by OpenSSL.
+ .
+ This package contains the minimal runtime libraries for the Debian Installer
+ (udeb).
+
 Package: libcurl3-gnutls
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}, ca-certificates
 Replaces: libcurl4-gnutls
 Conflicts: libcurl4-gnutls
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Description: Multi-protocol file transfer library (GnuTLS)
  libcurl is designed to be a solid, usable, reliable and portable
  multi-protocol file transfer library.
@@ -58,6 +76,8 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, ca-certificates
 Replaces: libcurl4-nss
 Conflicts: libcurl4-nss
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Description: Multi-protocol file transfer library (NSS)
  libcurl is designed to be a solid, usable, reliable and portable
  multi-protocol file transfer library.
@@ -73,7 +93,7 @@
 Provides: libcurl-dev, libcurl-ssl-dev, libcurl3-openssl-dev, libcurl3-dev
 Replaces: libcurl-dev, libcurl-ssl-dev, libcurl3-openssl-dev, libcurl3-dev (<< 7.14.1-1)
 Conflicts: libcurl-dev
-Depends: libcurl3 (= ${binary:Version}), libc6-dev | libc-dev, libssl-dev, zlib1g-dev, libidn11-dev, libkrb5-dev | hurd, libldap2-dev, ${misc:Depends}
+Depends: libcurl3 (= ${binary:Version}), libc6-dev | libc-dev, libssl-dev, zlib1g-dev, libidn11-dev, libkrb5-dev, libldap2-dev, ${misc:Depends}
 Description: Development files and documentation for libcurl (OpenSSL)
  These files (ie. includes, static library, manual pages) allow to
  build software which uses libcurl.
@@ -89,7 +109,7 @@
 Provides: libcurl-dev, libcurl-ssl-dev, libcurl3-gnutls-dev, libcurl4-dev
 Replaces: libcurl-dev, libcurl-ssl-dev, libcurl3-gnutls-dev, libcurl4-dev
 Conflicts: libcurl-dev
-Depends: libcurl3-gnutls (= ${binary:Version}), libc6-dev | libc-dev, libgnutls-dev, zlib1g-dev, libidn11-dev, libkrb5-dev | hurd, libldap2-dev, ${misc:Depends}
+Depends: libcurl3-gnutls (= ${binary:Version}), libc6-dev | libc-dev, libgnutls-dev, zlib1g-dev, libidn11-dev, libkrb5-dev, libldap2-dev, ${misc:Depends}
 Description: Development files and documentation for libcurl (GnuTLS)
  These files (ie. includes, static library, manual pages) allow to
  build software which uses libcurl.
@@ -105,7 +125,7 @@
 Provides: libcurl-dev, libcurl-ssl-dev, libcurl3-nss-dev, libcurl4-dev
 Replaces: libcurl-dev, libcurl-ssl-dev, libcurl3-nss-dev, libcurl4-dev
 Conflicts: libcurl-dev
-Depends: libcurl3-nss (= ${binary:Version}), libc6-dev | libc-dev, libnss3-dev, zlib1g-dev, libidn11-dev, libkrb5-dev | hurd, libldap2-dev, ${misc:Depends}
+Depends: libcurl3-nss (= ${binary:Version}), libc6-dev | libc-dev, libnss3-dev, zlib1g-dev, libidn11-dev, libkrb5-dev, libldap2-dev, ${misc:Depends}
 Description: Development files and documentation for libcurl (NSS)
  These files (ie. includes, static library, manual pages) allow to
  build software which uses libcurl.
@@ -123,6 +143,7 @@
 Replaces: libcurl4-dbg
 Conflicts: libcurl4-dbg
 Depends: libcurl3 (= ${binary:Version}) | libcurl3-gnutls (= ${binary:Version}) | libcurl3-nss (= ${binary:Version}), ${misc:Depends}
+Multi-Arch: same
 Description: libcurl compiled with debug symbols
  This contains the debug symbols of both the OpenSSL, GnuTLS and NSS versions
  of libcurl3. It might be useful in debug sessions of software which uses
