=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,7 @@
 DEB_BUILD_ARCH_OS ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH_OS)
 DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 # set the number of build jobs
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -49,7 +50,8 @@
 # this will catch miss-linking. (e.g. undefined symbols)
 # LDFLAGS = -Wl,-z,defs
 
-CONFIGURE_ARGS = $(CROSS) --prefix=/usr --mandir=/usr/share/man --disable-dependency-tracking --enable-ipv6 --with-lber-lib=lber --enable-manual --enable-versioned-symbols 
+CONFIGURE_ARGS_UDEB = $(CROSS) --prefix=/usr --mandir=/usr/share/man --disable-dependency-tracking --enable-ipv6 --enable-manual --enable-versioned-symbols --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
+CONFIGURE_ARGS = $(CONFIGURE_ARGS_UDEB) --with-lber-lib=lber --with-librtmp
 # this is still not ready
 # --enable-ares
 # this fixes the ldap warning of dpkg-shlibdebs, but we dont want that.
@@ -64,7 +66,7 @@
 #configure-stamp: DH_OPTIONS=
 configure-stamp:
 	dh_testdir
-	mkdir -p debian/build debian/build-gnutls debian/build-nss
+	mkdir -p debian/build debian/build-gnutls debian/build-nss debian/build-udeb
 
 	-quilt push -a
 
@@ -75,6 +77,7 @@
 	quilt pop
 	# get the source without nss and gnutls patches
 	tar -cf - --exclude=debian --exclude=.pc . | tar -xf - -C debian/build
+	tar -cf - --exclude=debian --exclude=.pc . | tar -xf - -C debian/build-udeb
 
 	# push the second last patch which must be gnutls
 	quilt push
@@ -86,11 +89,14 @@
 	# get the source with nss patch applied
 	tar -cf - --exclude=debian --exclude=.pc . | tar -xf - -C debian/build-nss
 
-	for flavour in build build-gnutls build-nss; do \
+	for flavour in build build-udeb build-gnutls build-nss; do \
 		(cd debian/$$flavour && ./buildconf) \
 	done
 
 	cd debian/build && ./configure ${CONFIGURE_ARGS} --with-ca-path=/etc/ssl/certs
+	cd debian/build-udeb && ./configure ${CONFIGURE_ARGS_UDEB} --with-ca-path=/etc/ssl/certs \
+		--without-gnutls --without-nss --disable-ldap --disable-ldaps --disable-file --disable-ftp \
+		--disable-pop4 --disable-rtsp --disable-imap --disable-smtp --without-librtmp --without-libidn
 	cd debian/build-gnutls && ./configure ${CONFIGURE_ARGS} --with-ca-bundle=/etc/ssl/certs/ca-certificates.crt --without-ssl --with-gnutls --without-libssh2
 	cd debian/build-nss && ./configure ${CONFIGURE_ARGS} --with-ca-bundle=/etc/ssl/certs/ca-certificates.crt --without-ssl --with-nss --without-libssh2
 	touch configure-stamp
@@ -99,11 +105,13 @@
 build-stamp: configure-stamp
 	dh_testdir
 	${MAKE} $(JOBS) -C debian/build
+	${MAKE} $(JOBS) -C debian/build-udeb
 	${MAKE} $(JOBS) -C debian/build-gnutls
 	${MAKE} $(JOBS) -C debian/build-nss
 
 ifeq (${DO_TEST},yes)
 	-${MAKE} -C debian/build test
+	-${MAKE} -C debian/build-udeb test
 	-${MAKE} -C debian/build-gnutls test
 	-${MAKE} -C debian/build-nss test
 endif
@@ -114,21 +122,32 @@
 	dh_testdir
 	dh_testroot
 	-quilt pop -a
-	rm -rf build-stamp configure-stamp debian/build debian/build-gnutls debian/build-nss debian/tmp-gnutls debian/tmp-nss
-	dh_clean debian/shlibs.local
+	rm -rf build-stamp configure-stamp debian/build debian/build-udeb debian/build-gnutls debian/build-nss debian/tmp-udeb debian/tmp-gnutls debian/tmp-nss
+	dh_clean debian/shlibs.local debian/libcurl3.links \
+		debian/libcurl3-gnutls.links debian/libcurl3-nss.links \
+		debian/libcurl4-gnutls-dev.links debian/libcurl4-nss-dev.links \
+		debian/libcurl3-udeb.links 
 
 #install: DH_OPTIONS=
 install: build-stamp
 	dh_testdir
 	dh_testroot
 	dh_clean -k
+	for file in libcurl3.links libcurl3-gnutls.links libcurl3-nss.links \
+	            libcurl4-gnutls-dev.links libcurl4-nss-dev.links libcurl3-udeb.links; \
+	do \
+		sed -e"s,\$${DEB_HOST_MULTIARCH},$(DEB_HOST_MULTIARCH),g" \
+			debian/$${file}.in > debian/$$file; \
+	done
 	dh_installdirs
 	${MAKE} -C debian/build DESTDIR=$(shell pwd)/debian/tmp install
+	${MAKE} -C debian/build-udeb DESTDIR=$(shell pwd)/debian/tmp-udeb install
 	${MAKE} -C debian/build-gnutls DESTDIR=$(shell pwd)/debian/tmp-gnutls install
 	${MAKE} -C debian/build-nss DESTDIR=$(shell pwd)/debian/tmp-nss install
 	dh_install -plibcurl3-gnutls -plibcurl4-gnutls-dev --sourcedir=debian/tmp-gnutls
 	dh_install -plibcurl3-nss -plibcurl4-nss-dev --sourcedir=debian/tmp-nss
-	dh_install -Nlibcurl3-gnutls -Nlibcurl4-gnutls-dev -Nlibcurl3-nss -Nlibcurl4-nss-dev --sourcedir=debian/tmp
+	dh_install -plibcurl3-udeb --sourcedir=debian/tmp-udeb
+	dh_install -Nlibcurl3-gnutls -Nlibcurl4-gnutls-dev -Nlibcurl3-nss -Nlibcurl4-nss-dev -Nlibcurl3-udeb --sourcedir=debian/tmp
 	install -m 644 debian/libcurl3-gnutls.lintian-overrides debian/libcurl3-gnutls/usr/share/lintian/overrides/libcurl3-gnutls
 	install -m 644 debian/libcurl3-nss.lintian-overrides debian/libcurl3-nss/usr/share/lintian/overrides/libcurl3-nss
 	install -m 644 debian/libcurl3.lintian-overrides debian/libcurl3/usr/share/lintian/overrides/libcurl3
@@ -161,7 +180,7 @@
 	dh_compress
 	dh_fixperms
 	echo "libcurl 4 libcurl3 (>= $(SHLIBS_VERSION))" > debian/shlibs.local
-	dh_makeshlibs -plibcurl3 -V "libcurl3 (>= $(SHLIBS_VERSION))"
+	dh_makeshlibs -plibcurl3 -V "libcurl3 (>= $(SHLIBS_VERSION))" --add-udeb=libcurl3-udeb
 	dh_makeshlibs -plibcurl3-gnutls -V "libcurl3-gnutls (>= $(SHLIBS_VERSION))"
 	dh_makeshlibs -plibcurl3-nss -V "libcurl3-nss (>= $(SHLIBS_VERSION))"
 	dh_installdeb
